smooth.construct.tensor.smooth.spec {mgcv} | R Documentation

## Tensor product smoothing constructor

### Description

A special `smooth.construct` method function for creating tensor product smooths from any combination of single penalty marginal smooths.

### Usage

    ## S3 method for class 'tensor.smooth.spec'
    smooth.construct(object, data, knots)

### Arguments

`object` | a smooth specification object of class `tensor.smooth.spec`, usually generated by a term like `te(x,z)` in a `gam` model formula
`data` | a list containing just the data (including any `by` variable) required by this term, with names corresponding to `object$term` (and `object$by`). The `by` variable is the last element.
`knots` | a list containing any knots supplied for basis setup — in same order and with same names as `data`. Can be `NULL`. See details for further information.

### Details

Tensor product smooths are smooths of several variables which allow the degree of smoothing to be different with respect to different variables. They are useful as smooth interaction terms, as they are invariant to linear rescaling of the covariates, which means, for example, that they are insensitive to the measurement units of the different covariates. They are also useful whenever isotropic smoothing is inappropriate. See `te`, `smooth.construct` and `smooth.terms`.

### Value

An object of class `"tensor.smooth"`. See `smooth.construct`, for the elements that this object will contain.

### Author(s)

Simon N. Wood simon.wood@r-project.org

### References

Wood, S.N. (2006) Low rank scale invariant tensor product smooths for generalized additive mixed models. Biometrics 62(4):1025-1036

### See Also

`cSplineDes`

### Examples

    ## see ?gam

[Package mgcv version 1.7-18 Index]